[Version 1.3] Breaks .NET 3.5 Project.

Jul 5, 2010 at 1:43 PM

I've got a VS2010 Solution with projects that are targeted towards the .NET 3.5 framework.

I include the AvalonDock assembly and it will build, but once I reference it within a class it breaks the project with the errors listed below.

Warning 57 The primary reference "aDLLWithinTheProject.dll" could not be resolved because it has an indirect dependency on the .NET Framework assembly "mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" which has a higher version "4.0.0.0" than the version "2.0.0.0" in the current target framework. Warning 58 The primary reference "aDLLWithinTheProject.dll" could not be resolved because it has an indirect dependency on the .NET Framework assembly "PresentationFramework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" which has a higher version "4.0.0.0" than the version "3.0.0.0" in the current target framework.

Any ideas how to fix this?

Thank you

Gareth Evans

Jul 10, 2010 at 12:45 AM

Which AvalonDock DLLs are your referencing .net3.5sp1 or .net4?

Ado

Jul 12, 2010 at 10:39 AM

They were the .NET 3.5 ones. I fixed this by getting the latest checkin (there had been 2 since the release) and built them myself....problem solved.

GE